import { QueryHandler } from '@nestjs/cqrs';
import { ValidateAuthorizationQuery } from '../../queries/validate-authorization.query';

@QueryHandler(ValidateAuthorizationQuery)
export class ValidateAuthorizationUseCase {
  async execute(validate: ValidateAuthorizationQuery): Promise<boolean> {
    return Promise.resolve(validate.action == 'authorized');
  }
}
