import { Module } from '@nestjs/common';
import { CqrsModule } from '@nestjs/cqrs';
import { ValidateAuthenticationUseCase } from '../authentication/domain/usecases/validate-authentication.usecase';
import { DatabaseModule } from '../database/database.module';

@Module({
  imports: [DatabaseModule, CqrsModule],
  exports: [],
  providers: [ValidateAuthenticationUseCase],
})
export class AuthorizationModule {}
